/******** <lalVerbatim file="ComputeLikelihoodCV"> ********
Author: Flanagan, E. and Cannon, K.
$Id: ComputeLikelihood.c,v 1.10 2005/07/05 19:10:12 kipp Exp $
********* </lalVerbatim> ********/

#include <math.h>
#include <lal/LALRCSID.h>

NRCSID (COMPUTELIKELIHOODC, "$Id: ComputeLikelihood.c,v 1.10 2005/07/05 19:10:12 kipp Exp $");

#include <lal/ExcessPower.h>


/******** <lalVerbatim file="ComputeLikelihoodCP"> ********/
REAL8
XLALComputeLikelihood(
	TFTiling *tiling
)
/******** </lalVerbatim> ********/
{
	REAL8 avglambda = 0.0;
	REAL8 rho4;
	TFTile *tile;
	size_t i;

	for(i = 0, tile = tiling->tile; i < tiling->numtiles; i++, tile++) {
		rho4 = tile->excessPower * tile->excessPower;
		avglambda += XLALTFTileDegreesOfFreedom(tile) / rho4 * exp(tile->lnweight - tile->lnalpha);
	}

	/* compute the likelihood averaged over TF tiles */
	avglambda /= tiling->numtiles;

	/* return value of statistic */
	return(avglambda);
}
